%define upstream_name    Guard
%define upstream_version 1.022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Safe cleanup blocks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module implements so-called "guards". A guard is something (usually an
object) that "guards" a resource, ensuring that it is cleaned up when
expected.

Specifically, this module supports two different types of guards: guard
objects, which execute a given code block when destroyed, and scoped
guards, which are tied to the scope exit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc COPYING Changes META.json README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.22.0-4.mga3
+ Revision: 367973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 pterjan <pterjan> 1.22.0-3.mga3
+ Revision: 283388
- Clean rebuild

* Wed May 30 2012 jquelin <jquelin> 1.22.0-2.mga3
+ Revision: 250752
- rebuild for perl 5.16

* Fri Jul 08 2011 jquelin <jquelin> 1.22.0-1.mga2
+ Revision: 120407
- update to 1.022

* Sat Jun 11 2011 sander85 <sander85> 1.21.0-3.mga2
+ Revision: 103766
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.21.0-2.mga1
+ Revision: 22446
- cleaning spec file
- imported package perl-Guard

